__gnu_cxx::__pool_base Struct Reference
Inheritance diagram for __gnu_cxx::__pool_base:
[legend]

## Public Types

typedef unsigned short int | _Binmap_type

## Public Member Functions

| __pool_base (const _Tune &__options)
bool | _M_check_threshold (size_t __bytes)
size_t | _M_get_align ()
size_t | _M_get_binmap (size_t __bytes)
const _Tune & | _M_get_options () const
void | _M_set_options (_Tune __t)

## Protected Attributes

_Binmap_type * | _M_binmap
bool | _M_init
_Tune | _M_options

## Detailed Description

Base class for pool object.

Definition at line 51 of file mt_allocator.h.

The documentation for this struct was generated from the following file:

- mt_allocator.h